# Uses of Interface
com.logicaldoc.core.security.user.UserHistoryDAO

Packages that use UserHistoryDAO
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserHistoryDAO in com.logicaldoc.core.security.user

Classes in com.logicaldoc.core.security.user that implement UserHistoryDAO
Modifier and Type
Class
Description
`class`
`HibernateUserHistoryDAO`
Methods in com.logicaldoc.core.security.user that return UserHistoryDAO
Modifier and Type
Method
Description
`static UserHistoryDAO`
UserHistoryDAO.`get()`
Gets the object available in the application context
`UserHistoryDAO`
HibernateUserDAO.`getUserHistoryDAO()`
Methods in com.logicaldoc.core.security.user with parameters of type UserHistoryDAO
Modifier and Type
Method
Description
`void`
HibernateUserDAO.`setUserHistoryDAO(UserHistoryDAO userHistoryDAO)`